aboutsummaryrefslogtreecommitdiffstats
path: root/splashtool/splashtool.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2024-09-25 22:40:07 +0200
committerMattias Andrée <maandree@kth.se>2024-09-25 22:40:07 +0200
commit29fa855cdb2b02cb989fdd942382f2c404efbc29 (patch)
treefef3cc6d0ae050c12a08051b7f630ce0a8b2aad2 /splashtool/splashtool.install
parentUpdate e-mail address (diff)
downloadaur-packages-29fa855cdb2b02cb989fdd942382f2c404efbc29.tar.gz
aur-packages-29fa855cdb2b02cb989fdd942382f2c404efbc29.tar.bz2
aur-packages-29fa855cdb2b02cb989fdd942382f2c404efbc29.tar.xz
add packagesHEADmaster
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'splashtool/splashtool.install')
-rw-r--r--splashtool/splashtool.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/splashtool/splashtool.install b/splashtool/splashtool.install
new file mode 100644
index 0000000..8bb5344
--- /dev/null
+++ b/splashtool/splashtool.install
@@ -0,0 +1,20 @@
+_file="splashtool"
+
+infodir="usr/share/info"
+file="${_file}.info.gz"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+